<?php
/**
 * @package   FL Back Button Element for Zoo
 * @author    Дмитрий Васюков http://fictionlabs.ru
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

class ElementFLBackButton  extends Element
{
	protected $_categories;

	// Has Value Function

	public function hasValue($params = array()) 
	{
		$categories = $this->_item->getRelatedCategories(true);
		return !empty($categories);
	}

	// Render Function

	public function render($params = array())
	{
		$params 		= $this->app->data->create($params);
		$application 	= $this->app->zoo->getApplication();
		$html 			= '';

		$category 		= $params->get('category', 'current');
		$class 			= $params->get('class');
		$text 			= $params->get('text', 'Back to catalog');

		switch ($category) {
			case 'current':
				$category_id = (int) $this->app->request->getInt('category_id', $this->app->system->application->getParams()->get('category', 0));
				$category    = $category_id == 0 ? false : $this->app->table->category->get($category_id);
				$link 		 = $this->app->route->{is_object($category) ? 'category' : 'frontpage'}((is_object($category) ? $category : $application->id), false);
				break;

			case 'primary':
				$category    = $this->_item->getPrimaryCategory();
				$link 		 = $this->app->route->{is_object($category) ? 'category' : 'frontpage'}((is_object($category) ? $category : $application->id), false);
				break;

			case 'frontpage':
				$link 		 = $this->app->route->frontpage($application->id);
				break;
			
		}

		if (empty($html)) {
			$html = '<a class="'.$class.'" href="'.JRoute::_($link, false, 2).'">'.$text.'</a>';
		}

		return $html;
	}

	// Edit Function 

	public function edit()
	{
		return null;
	}

}